## nagios-plugins-contrib 34.20210407+1

=== check_ssl_cert/check_ssl_cert_2.0.1/Makefile ===
PLUGIN=check_ssl_cert
VERSION=`cat VERSION`
DIST_DIR=$(PLUGIN)-$(VERSION)
DIST_FILES=AUTHORS COPYING ChangeLog INSTALL Makefile NEWS README.md VERSION $(PLUGIN) $(PLUGIN).spec COPYRIGHT ${PLUGIN}.1 test
YEAR=`date +"%Y"`
MONTH_YEAR=`date +"%B, %Y"`
FORMATTED_FILES=test/unit_tests.sh AUTHORS COPYING ChangeLog INSTALL Makefile NEWS README.md VERSION $(PLUGIN) $(PLUGIN).spec COPYRIGHT ${PLUGIN}.1 .github/workflows/* doc_check.sh

dist: version_check formatting_check copyright_check shellcheck
	rm -rf $(DIST_DIR) $(DIST_DIR).tar.gz
	mkdir $(DIST_DIR)
	cp -r $(DIST_FILES) $(DIST_DIR)
	tar cfz $(DIST_DIR).tar.gz  $(DIST_DIR)
	tar cfj $(DIST_DIR).tar.bz2 $(DIST_DIR)

install:
	mkdir -p $(DESTDIR)
	install -m 755 $(PLUGIN) $(DESTDIR)
	mkdir -p ${MANDIR}/man1
	install -m 644 ${PLUGIN}.1 ${MANDIR}/man1/

version_check:
	grep -q "VERSION\ *=\ *[\'\"]*$(VERSION)" $(PLUGIN)
	grep -q "^%define\ version\ *$(VERSION)" $(PLUGIN).spec
	grep -q -- "- $(VERSION)-" $(PLUGIN).spec
	grep -q "\"$(VERSION)\"" $(PLUGIN).1
	grep -q "${VERSION}" NEWS
	grep -q "$(MONTH_YEAR)" $(PLUGIN).1
	echo "Version check: OK"

# we check for tabs
# and remove trailing blanks
formatting_check:
	! grep -q '\\t' check_ssl_cert test/unit_tests.sh
	! grep -q '[[:blank:]]$$' $(FORMATTED_FILES)

doc_check:
	./doc_check.sh

remove_blanks:
	sed -i '' 's/[[:blank:]]*$$//' $(FORMATTED_FILES)

clean:
	rm -f *~
	rm -rf rpmroot

distclean: clean
	rm -rf check_ssl_cert-[0-9]*
	rm -f *.crt
	rm -f *.error

test: dist
	( export SHUNIT2="$$(pwd)/shunit2/shunit2" && cd test && ./unit_tests.sh )

SHELLCHECK := $(shell command -v shellcheck 2> /dev/null)

shellcheck:
ifndef SHELLCHECK
	echo "No shellcheck installed: skipping test"
else
	if shellcheck --help 2>&1 | grep -q -- '-o\ ' ; then shellcheck -o all check_ssl_cert test/unit_tests.sh prepare_rpm.sh publish_release.sh ; else shellcheck check_ssl_cert test/unit_tests.sh prepare_rpm.sh publish_release.sh doc_check.sh ; fi
endif

copyright_check:
	grep -q "(c) Matteo Corti, 2007-$(YEAR)" README.md
	grep -q "Copyright (c) 2007-$(YEAR) Matteo Corti" COPYRIGHT
	grep -q "Copyright (c) 2007-$(YEAR) Matteo Corti <matteo@corti.li>" $(PLUGIN)
	echo "Copyright year check: OK"

rpm: dist
	mkdir -p rpmroot/SOURCES rpmroot/BUILD
	cp $(DIST_DIR).tar.gz rpmroot/SOURCES
	rpmbuild --define "_topdir `pwd`/rpmroot" -ba check_ssl_cert.spec



.PHONY: install clean test rpm distclean

=== debian/control ===
Source: nagios-plugins-contrib
Section: net
Priority: optional
Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
Uploaders: Bernd Zeimetz <bzed@debian.org>, Jan Wagner <waja@cyconet.org>, Stefan Schoerghofer <amd1212@4md.gr>, Petter Reinholdtsen <pere@hungry.com>, Leo Antunes <leo@costela.net>
Build-Depends: debhelper (>= 8.0.0),
               dh-autoreconf,
               dh-python,
               python3:any, python3-debian:native,
               quilt (>= 0.46-7),
               autotools-dev, flex, libmemcached-dev [!hurd-i386], pkg-config
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/nagios-team/pkg-nagios-plugins-contrib.git
Vcs-Browser: https://salsa.debian.org/nagios-team/pkg-nagios-plugins-contrib

Package: monitoring-plugins-contrib
Architecture: any
Depends: ${misc:Depends}
Recommends: libsocket-perl, libmonitoring-plugin-perl | libnagios-plugin-perl, libnet-snmp-perl, whois, nagios-plugins-basic, libnet-dns-perl, libdate-manip-perl, libmonitoring-plugin-perl | libnagios-plugin-perl (>= 0.31), libnet-cups-perl, debsecan, libio-socket-ssl-perl, libmail-imapclient-perl, libnet-smtp-tls-perl, libnet-smtp-ssl-perl, libnet-ssleay-perl, libnet-smtpauth-perl, bind9-host | knot-host, python3, liblocale-gettext-perl, liblwp-useragent-determined-perl, snmp, freeipmi-tools, libipc-run-perl, libxml-simple-perl, python3-pymongo, libdbd-mysql-perl, libreadonly-perl, libdata-validate-domain-perl, libdata-validate-ip-perl, libredis-perl, libnet-snmp-perl (>= 5), libtimedate-perl, curl, file, openssl, libwebinject-perl, libnet-dns-sec-perl, ruby | ruby-interpreter, binutils, lz4, lzop,
            ${perl:Depends},
            ${python3:Depends},
            ${shlibs:Depends}
Provides: nagios-plugins-contrib
Replaces: nagios-plugins-contrib (<< 26)
Breaks: nagios-plugins-contrib (<< 26)
Suggests: backuppc, perl-doc, libsys-virt-perl, cciss-vol-status (>= 1.10), mpt-status, smstools (>= 3~), expect, nagios-plugin-check-multi, moreutils, percona-toolkit, python3, python3-pymongo, python3-boto
Enhances: monitoring-plugins, monitoring-plugins-basic, monitoring-plugins-standard
Description: Plugins for nagios compatible monitoring systems
 This package provides various plugins for Nagios compatible monitoring
 systems like Nagios and Icinga.
 It contains the following plugins:
 .
   * check_ajp (1): plugin to monitor the AJP ping response time
     Should work with all application servers (Tomcat, JBoss,....)
     which provide an AJPv13 connector.
   * check_backuppc (1.1.0): plugin for checking on the status of
     BackupPC backups
   * check_bgpstate (1.0): plugin to check all BGP session on Cisco routers
   * check_checksums (20130611): plugin to verify file checksums
     against (local, not 100% secure) lists.
     Supports md5 sha1 sha224 sha256 sha384 sha512 checksums.
   * check_chrony (0.1): chrony NTP server check
     This plugin is able to check the stratum time difference of a local
     chronyd instance.
   * check_clamav (1.2): plugin to check for clamav signature freshness
     This script is used to compare the version and signature
     level of the currently running clamd daemon with the latest
     available versions listed in the TXT record for
     current.cvd.clamav.net.
   * check_cups (0.2): plugin to check queues on a remote CUPS server
     This plugin is monitoring of queues on a remote CUPS server,
     which means that it doesn't need to be installed on the print
     server and run via NRPE.
   * check_debsecan (1.0.0): plugin to check the Debian CVE lists against your installed packages
   * check_drbd (0.5.3): plugin to check DRBD device states
     This plugin is for checking DRBD device states. It parses the
     /proc/drbd device and analyses the output.
   * check_email_delivery (0.7.1b): plugin to monitor email delivery
     Some typical uses of this plugin include:
       - check SMTP server
       - check messages and quota on IMAP server
       - check email delivery loop
       - check auto-responder function
       - keep an eye on email lag
       - monitor automated mailboxes
       - check email-to-FTP or other special email gateways
   * check_etc_hosts (?): plugin to check /etc/hosts for DNS consistency
     Check /etc/hosts, and make sure the content matches the information
     in DNS.  Lookup IP, and check if the names listed in /etc/hosts
     maches the one in DNS.  It will ignore entries with '# NAGIOSIGNORE'
     at the end.
   * check_etc_resolv: plugin to check /etc/resolv.conf
     Check /etc/resolv.conf, and make sure the name servers listed are
     working.  It will ignore entries with '# NAGIOSIGNORE' at the end.
   * check_graphite: Plugin to monitor graphite metrics
   * check_haproxy (rev135): plugin to check the HAProxy statistics url
   * check_haproxy_stats (1.0.1): check haproxy via admin socket
     Different from check_haproxy this plugin is able to check
     haproxy via the unix admin socket.
   * check_hp_bladechassis (1.0.1): plugin to check the hardware health of
     HP blade enclosures via SNMP.
     The plugin is only tested with the c7000 enclosure.
   * check_hpasm (4.8.0.2): plugin to check the hardware health of
     HP Proliant Servers
     It either uses snmp or - if installed - the hpasm package locally.
     The plugin checks the health of
       * Processors
       * Power supplies
       * Memory modules
       * Fans
       * CPU- and board-temperatures
       * Raids
     and alerts you if one of these components is faulty or operates
     outside its normal parameters.
   * check_httpd_status (rev204): plugin checking Apache or lighttpd
     server-status page (using mod_status)
   * check_ipmi_sensor (3.13): IPMI Sensor Monitoring Plugin
     Plugin to monitor the hardware status (fan speed, temperaturs,
     voltages, power usage, ...) of a server using IPMI.
   * check_libs_ng (0.1.0): plugin to report processes using outdated libraries
      depents on kernel features present in kernels newer than 3.3
   * check_libvirt (v7.0.3): monitor virtualization solutions using libvirt
   * check_lm_sensors (4.1.1): plugin to monitor hardware sensors
     and disk temperatures
   * check_memcached (1.3): plugin to check memcached instances
     It will give a critical message if a partiular memcached host is
     inaccessible and generate a warning if the hit/miss ratio falls
     below a given threshold or the number of evictions exceeds a given
     limit.
     Hit/miss and evictions are measured over a 30 minute interval,
     using a memcached object to store the earlier statistics.
   * check_memory (1.0.1): plugin to check for free memory
     This plugin excludes the system cache and buffer, because
     on some system with very stable memory usage it is perfectly
     normal for system cache to fill in all available memory.
   * check_mongodb (b33e763): Plugin script to monitor your MongoDB server(s)
   * check_multipath (0.4.11): plugin to monitor the number of available and
     failed paths of multipath devices
   * check_mysql_health (2.2.2): plugin to check various parameters of a
     MySQL database
   * check_nfsmounts: checks whether there are stale NFS mounts on the host
   * check_printer: plugin to check printer supply levels using SNMP
     It outputs performance data for all supplies
     found, for example toner and drum.
   * check_raid (4.0.9): plugin to check sw/hw RAID status
     The plugin looks for any known types of RAID configurations,
     and checks them all.
     Supports:
     - Adaptec AAC RAID via aaccli or afacli or arcconf
     - AIX software RAID via lsvg
     - HP/Compaq Smart Array via cciss_vol_status (hpsa supported too)
     - HP Smart Array Controllers and MSA Controllers via hpacucli
     - HP Smart Array (MSA1500) via serial line
     - Linux 3ware SATA RAID via tw_cli
     - Linux Device Mapper RAID via dmraid
     - Linux DPT/I2O hardware RAID controllers via /proc/scsi/dpt_i2o
     - Linux GDTH hardware RAID controllers via /proc/scsi/gdth
     - Linux LSI MegaRaid hardware RAID via CmdTool2
     - Linux LSI MegaRaid hardware RAID via megarc
     - Linux LSI MegaRaid hardware RAID via /proc/megaraid
     - Linux MegaIDE hardware RAID controllers via /proc/megaide
     - Linux MPT hardware RAID via mpt-status
     - Linux software RAID (md) via /proc/mdstat
     - LSI Logic MegaRAID SAS series via MegaCli
     - LSI MegaRaid via lsraid
     - Serveraid IPS via ipssend
     - Solaris software RAID via metastat
     - Areca SATA RAID Support via cli64/cli32
     - Detecting SCSI devices or hosts with lsscsi
   * check_rbl (1.5.7): plugin to check if a server is blacklisted
   * check_redis (0.73): Redis Server check plugin
     This plugin checks Redis NoSQL database status variables,
     measures its response time and if specified allows one to set thresholds
     on one or more key data. You can set thresholds for data in stats
     variables and some of them are also conveniently available as long options
     with special threshold syntax. Plugin also calculates statistics such as
     Hitrate (calculated as rate of change of hits/misses) and memory use and
     can check replication delay.
   * check_smstools: plugin to check GSM Modems using smstools
     check_smstools is a plugin to monitor a GSM modem
     signal quality and registration status with smstools.
   * check_snmp_environment (0.7): plugin to check various hardware statuses
     Using snmp the plugin is able to retrieve Fan, power-supply,
     voltage, temperature, card and module status and various other
     information from Cisco, Nokia, Blue Coat, IronPort,
     Foundry Network, Linux (using lm-sensors), Extreme Networks,
     Juniper Networks, HP ProCurve, Netscreen, Citrix NetScaler
     and Transmode Systems hardware.
   * check_snmp_time (1.1): plugin to check the time on a server using SNMP
     This plugin queries the remote systems time through SNMP and compares
     it against the local time on the Nagios server. This identifies systems
     with no correct time set and sends alarms if the time is off to far.
     HOST-RESOURCES-MIB::hrSystemDate.0 used here returns 8 or 11 byte octets.
     SNMP translation needs to be switched off and to be converted the
     received SNMP data into readable strings.
   * check_ssl_cert (2.0.1): plugin to check the CA and validity of an
     X.509 certificate
   * check_uptime (0.521): check_uptime returns uptime of a system
     in text (readable) format as well as in minutes for performance graphing.
     The plugin can either run on a local unix system (using 'uptime' command)
     or check remote system by SNMP. Also it is able to report one CRITICAL
     or WARNING alert if system has been rebooted since last check.
   * check_v46 (2013-08-26T07:33:11Z): ipv4/ipv6 Nagios plugin wrapper
     Nagios plugin wrapper for running the actual plugin for both / either of
     IPv6 and/or IPv4.  The worst result of the actual plugin runs will be
     the wrapper return value, that is, result will be OK only if all checks
     returned OK.  Compatible with any plugin with standard command line options
     -6/-4.
   * check_webinject (1.80): plugin for testing web services
     It uses the WebInject Perl module for automated testing of
     web applications and web services. It can be used to check
     individual system components that have HTTP interfaces
     (JSP, ASP, CGI, PHP, AJAX, Servlets, HTML Forms,
     XML/SOAP Web Services, REST, etc).
   * check_whois (1.24): plugin to check for the expiration of a domain.
     The plugin may not yet work with all registrars, since their
     output formats differ or there is no expiration date in the
     whois output.
   * check_zone_auth (1.14): plugin to ensure that the authoritative nameservers
     for a given zone remain in sync.
   * check_zone_rrsig_expiration (1.14): plugin to check for expiration of

## nagios-plugins-contrib 35.20210511

=== check_rbl/Makefile ===
#/usr/bin/make -f

PLUGIN = src/check_rbl
MANPAGES = check_rbl.7
INIFILES = src/check_rbl.ini
DOCFILES = src/README.md
CLEANFILES = check_rbl.7


include ../common.mk


check_rbl.7: src/check_rbl.pod
	pod2man -s 7 $< > $@

=== check_v46/Makefile ===
#/usr/bin/make -f

PLUGIN = check_v46

include ../common.mk

=== check_ssl_cert/check_ssl_cert_2.2.0/Makefile ===
PLUGIN=check_ssl_cert
VERSION=`cat VERSION`
DIST_DIR=$(PLUGIN)-$(VERSION)
DIST_FILES=AUTHORS COPYING ChangeLog INSTALL Makefile NEWS README.md VERSION $(PLUGIN) $(PLUGIN).spec COPYRIGHT ${PLUGIN}.1 test
YEAR=`date +"%Y"`
MONTH_YEAR=`date +"%B, %Y"`
FORMATTED_FILES=test/unit_tests.sh AUTHORS COPYING ChangeLog INSTALL Makefile NEWS README.md VERSION $(PLUGIN) $(PLUGIN).spec COPYRIGHT ${PLUGIN}.1 .github/workflows/*

dist: version_check formatting_check copyright_check shellcheck
	rm -rf $(DIST_DIR) $(DIST_DIR).tar.gz
	mkdir $(DIST_DIR)
	cp -r $(DIST_FILES) $(DIST_DIR)
# avoid to include extended attribute data files
# see https://superuser.com/questions/259703/get-mac-tar-to-stop-putting-filenames-in-tar-archives
	env COPYFILE_DISABLE=1 tar cfz $(DIST_DIR).tar.gz  $(DIST_DIR)
	env COPYFILE_DISABLE=1 tar cfj $(DIST_DIR).tar.bz2 $(DIST_DIR)

install:
	mkdir -p $(DESTDIR)
	install -m 755 $(PLUGIN) $(DESTDIR)
	mkdir -p ${MANDIR}/man1
	install -m 644 ${PLUGIN}.1 ${MANDIR}/man1/

version_check:
	grep -q "VERSION\ *=\ *[\'\"]*$(VERSION)" $(PLUGIN)
	grep -q "^%define\ version\ *$(VERSION)" $(PLUGIN).spec
	grep -q -- "- $(VERSION)-" $(PLUGIN).spec
	grep -q "\"$(VERSION)\"" $(PLUGIN).1
	grep -q "${VERSION}" NEWS
	grep -q "$(MONTH_YEAR)" $(PLUGIN).1
	echo "Version check: OK"

# we check for tabs
# and remove trailing blanks
formatting_check:
	! grep -q '\\t' check_ssl_cert test/unit_tests.sh
	! grep -q '[[:blank:]]$$' $(FORMATTED_FILES)

remove_blanks:
	sed -i '' 's/[[:blank:]]*$$//' $(FORMATTED_FILES)

clean:
	rm -f *~
	rm -rf rpmroot

distclean: clean
	rm -rf check_ssl_cert-[0-9]*
	rm -f *.crt
	rm -f *.error

test: dist
	( export SHUNIT2="$$(pwd)/shunit2/shunit2" && cd test && ./unit_tests.sh )

SHELLCHECK := $(shell command -v shellcheck 2> /dev/null)

shellcheck:
ifndef SHELLCHECK
	echo "No shellcheck installed: skipping test"
else
	if shellcheck --help 2>&1 | grep -q -- '-o\ ' ; then shellcheck -o all check_ssl_cert test/unit_tests.sh prepare_rpm.sh publish_release.sh ; else shellcheck check_ssl_cert test/unit_tests.sh prepare_rpm.sh publish_release.sh ; fi
endif

copyright_check:
	grep -q "&copy; Matteo Corti, 2007-$(YEAR)" README.md
	grep -q "Copyright (c) 2007-$(YEAR) Matteo Corti" COPYRIGHT
	grep -q "Copyright (c) 2007-$(YEAR) Matteo Corti <matteo@corti.li>" $(PLUGIN)
	echo "Copyright year check: OK"

rpm: dist
	mkdir -p rpmroot/SOURCES rpmroot/BUILD
	cp $(DIST_DIR).tar.gz rpmroot/SOURCES
	rpmbuild --define "_topdir `pwd`/rpmroot" -ba check_ssl_cert.spec



.PHONY: install clean test rpm distclean

=== debian/changelog ===
nagios-plugins-contrib (35.20210511) unstable; urgency=medium

  [ Jérôme Charaoui ]
  * [8782116] Fix check_memory plugin not working when default locale is not
    English (Closes: #985294)

  [ Jan Wagner ]
  * [34891c5] check_ssl_cert: Update to 2.2.0
  * [1eaadba] Auto update of debian/control

 -- Jan Wagner <waja@cyconet.org>  Tue, 11 May 2021 22:01:33 +0200

=== debian/control ===
--- 
+++ 
@@ -173,7 +173,7 @@
      HOST-RESOURCES-MIB::hrSystemDate.0 used here returns 8 or 11 byte octets.
      SNMP translation needs to be switched off and to be converted the
      received SNMP data into readable strings.
-   * check_ssl_cert (2.0.1): plugin to check the CA and validity of an
+   * check_ssl_cert (2.2.0): plugin to check the CA and validity of an
      X.509 certificate
    * check_uptime (0.521): check_uptime returns uptime of a system
      in text (readable) format as well as in minutes for performance graphing.

## nagios-plugins-contrib 35.20210511ubuntu2

=== debian/changelog ===
nagios-plugins-contrib (35.20210511ubuntu2) impish; urgency=medium

  * Ignore expiration date in check_ssl_cert test

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 26 Sep 2021 11:34:03 +0000

nagios-plugins-contrib (35.20210511ubuntu1) impish; urgency=medium

  * check_ssl_cert changed its behaviour with a proxy,
    so check launchpad.net instead of www.debian.org

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 03 Sep 2021 17:05:20 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: nagios-plugins-contrib
 Section: net
 Priority: optional
-Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
 Uploaders: Bernd Zeimetz <bzed@debian.org>, Jan Wagner <waja@cyconet.org>, Stefan Schoerghofer <amd1212@4md.gr>, Petter Reinholdtsen <pere@hungry.com>, Leo Antunes <leo@costela.net>
 Build-Depends: debhelper (>= 8.0.0),
                dh-autoreconf,
@@ -198,4 +199,3 @@
      whois output.
    * check_zone_auth (1.14): plugin to ensure that the authoritative nameservers
      for a given zone remain in sync.
-   * check_zone_rrsig_expiration (1.14): plugin to check for expiration of

=== debian/tests/control ===
# DO NOT HAND HACK - MANAGED BY debian/packaging-helper.py
#
#
Test-Command: mkdir -p /etc/nagios/ && sha256sum /bin/true > /etc/nagios/check_checksums.sha256 && /usr/lib/nagios/plugins/check_checksums
Restrictions: needs-root, breaks-testbed

Depends: cups, libdate-manip-perl, libmonitoring-plugin-perl | libnagios-plugin-perl, libnet-cups-perl, @
Test-Command: /usr/lib/nagios/plugins/check_cups -H localhost
Restrictions: needs-root, isolation-container

Depends: debsecan, @
Test-Command: /usr/lib/nagios/plugins/check_debsecan -f 9998 -F 9999 -o 9998 -O 9999 -l 9998 -L 9999 -m 9998 -M 9999 -u 9998 -U 9999 -r -s sid

Depends: libnet-dns-perl, @
Test-Command: echo "127.0.0.1 localhost" > /etc/hosts && /usr/lib/nagios/plugins/check_etc_hosts
Restrictions: needs-root, breaks-testbed

Test-Command: /usr/lib/nagios/plugins/check_etc_resolv
Depends: bind9-host | knot-host, @

Depends: apache2, liblocale-gettext-perl, libmonitoring-plugin-perl | libnagios-plugin-perl, liblwp-useragent-determined-perl, @
Test-Command: /usr/lib/nagios/plugins/check_httpd_status -H localhost
Restrictions: needs-root, allow-stderr, isolation-container

Depends: ca-certificates, openssl, curl, file, @
Test-Command: /usr/lib/nagios/plugins/check_ssl_cert -H launchpad.net --ignore-exp

Depends: libmonitoring-plugin-perl | libnagios-plugin-perl, @
Test-Command: /usr/lib/nagios/plugins/check_uptime -f

Depends: @
Test-Command: /usr/lib/nagios/plugins/check_entropy -w 1

## nagios-plugins-contrib 36.20211207~bpo10+1

=== madrisan-nagios-plugins-linux/Makefile ===

PD = nagios-plugins-linux

PLUGINS += check_clock
PLUGINS += check_cpu
PLUGINS += check_cpufreq
PLUGINS += check_cswch
PLUGINS += check_fc
PLUGINS += check_ifmountfs
PLUGINS += check_intr
PLUGINS += check_iowait
PLUGINS += check_memory
PLUGINS += check_nbprocs
PLUGINS += check_network
PLUGINS += check_network_collisions
PLUGINS += check_network_dropped
PLUGINS += check_network_errors
PLUGINS += check_network_multicast
PLUGINS += check_paging
PLUGINS += check_pressure
PLUGINS += check_readonlyfs
PLUGINS += check_tcpcount
PLUGINS += check_temperature

PLUGINS_RENAME += check_load
PLUGINS_RENAME += check_multipath
PLUGINS_RENAME += check_swap
PLUGINS_RENAME += check_uptime
PLUGINS_RENAME += check_users

all:
	cd ${PD} && dh_autoreconf
	mkdir build-tree
	cd build-tree && \
	  ../${PD}/configure --prefix=/usr --libexecdir=/usr/lib/nagios/plugins && \
	  $(MAKE)

install:
	install -d $(DESTDIR)/usr/lib/nagios
	for check in $(PLUGINS); do \
	  if [ -h build-tree/plugins/$${check} ]; then \
	    ln -s $$(readlink build-tree/plugins/$${check}) ${DESTDIR}/usr/lib/nagios/$${check} || exit 1; \
	  else \
	    install -m 755 -o root -g root build-tree/plugins/$${check} ${DESTDIR}/usr/lib/nagios || exit 1; \
	  fi; \
	done; true

	for check in $(PLUGINS_RENAME); do \
		install -m 755 -o root -g root build-tree/plugins/$${check} ${DESTDIR}/usr/lib/nagios/check_madrisan_$${check#check_} || exit 1; \
	done; true

clean:
	rm -rf build-tree

=== debian/changelog ===
nagios-plugins-contrib (36.20211207~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 07 Dec 2021 16:00:22 +0100

nagios-plugins-contrib (36.20211207) unstable; urgency=medium

  [ Jan Wagner ]
  * [144807b] New changelog

  [ Bas Couwenberg ]
  * [8d4c239] Bump Standards-Version to 4.6.0, no changes.

  [ Peter Palfrader ]
  * [44c2d26] Initial adding of madrisan's nagios-plugins-linux
  * [464e8f4] update of debian/{control,copyright}
  * [eadc785] Retire old check_memory in favour of
              madrisan-nagios-plugins-linux's version
  * [a9685a4] Add descriptions for madrisan checks
  * [3324825] madrisan: install symlinks as symlinks

  [ Bernd Zeimetz ]
  * [72be8a7] Updating changelog
  * [e63adfa] Updating check_haproxy_stats.
  * [c9622bb] update check_haproxy location
  * [4a61139] Updating check_rbl
  * [f142170] Use timeouts on url requests in our helper.
  * [26af399] Auto update of debian/control
  * [cfbbc92] Auto update of debian/copyright
  * [3b7609a] Override lintian error.
  * [3a7e9f4] Refreshing patches

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 07 Dec 2021 15:21:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: nagios-plugins-contrib
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
-Uploaders: Bernd Zeimetz <bzed@debian.org>, Jan Wagner <waja@cyconet.org>, Stefan Schoerghofer <amd1212@4md.gr>, Petter Reinholdtsen <pere@hungry.com>, Leo Antunes <leo@costela.net>
+Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
+Uploaders: Bernd Zeimetz <bzed@debian.org>, Jan Wagner <waja@cyconet.org>, Stefan Schoerghofer <amd1212@4md.gr>, Petter Reinholdtsen <pere@hungry.com>, Leo Antunes <leo@costela.net>, Peter Palfrader <weasel@debian.org>
 Build-Depends: debhelper (>= 8.0.0),
                dh-autoreconf,
                dh-python,
                python3:any, python3-debian:native,
                quilt (>= 0.46-7),
                autotools-dev, flex, libmemcached-dev [!hurd-i386], pkg-config
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/nagios-team/pkg-nagios-plugins-contrib.git
 Vcs-Browser: https://salsa.debian.org/nagios-team/pkg-nagios-plugins-contrib
 
@@ -75,7 +74,7 @@
      working.  It will ignore entries with '# NAGIOSIGNORE' at the end.
    * check_graphite: Plugin to monitor graphite metrics
    * check_haproxy (rev135): plugin to check the HAProxy statistics url
-   * check_haproxy_stats (1.0.1): check haproxy via admin socket
+   * check_haproxy_stats (1.1.3): check haproxy via admin socket
      Different from check_haproxy this plugin is able to check
      haproxy via the unix admin socket.
    * check_hp_bladechassis (1.0.1): plugin to check the hardware health of
@@ -110,10 +109,6 @@
      limit.
      Hit/miss and evictions are measured over a 30 minute interval,
      using a memcached object to store the earlier statistics.
-   * check_memory (1.0.1): plugin to check for free memory
-     This plugin excludes the system cache and buffer, because
-     on some system with very stable memory usage it is perfectly
-     normal for system cache to fill in all available memory.
    * check_mongodb (b33e763): Plugin script to monitor your MongoDB server(s)
    * check_multipath (0.4.11): plugin to monitor the number of available and
      failed paths of multipath devices
@@ -148,7 +143,7 @@
      - Solaris software RAID via metastat
      - Areca SATA RAID Support via cli64/cli32
      - Detecting SCSI devices or hosts with lsscsi
-   * check_rbl (1.5.7): plugin to check if a server is blacklisted
+   * check_rbl (1.6.2): plugin to check if a server is blacklisted
    * check_redis (0.73): Redis Server check plugin
      This plugin checks Redis NoSQL database status variables,
      measures its response time and if specified allows one to set thresholds
@@ -199,3 +194,8 @@
      whois output.
    * check_zone_auth (1.14): plugin to ensure that the authoritative nameservers
      for a given zone remain in sync.
+   * check_zone_rrsig_expiration (1.14): plugin to check for expiration of
+     signatures in dnssec-enabled zones.
+   * dsa (2300473): plugins from the Debian System Administrators
+     nagios plugins repository.
+     * check_cert_expire: check for certificate expiration

## nagios-plugins-contrib 36.20211207~bpo11%2B1

=== debian/changelog ===
nagios-plugins-contrib (36.20211207~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 07 Dec 2021 15:35:59 +0100

## nagios-plugins-contrib 37.20211217~bpo10+1

=== debian/changelog ===
nagios-plugins-contrib (37.20211217~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Jan Wagner <waja@cyconet.org>  Mon, 20 Dec 2021 10:32:38 +0100

nagios-plugins-contrib (37.20211217) unstable; urgency=high

  * [44721bb] check_ssl_cert: Update to 2.2.0
  * [39c799b] check_ssl_cert: Update to 2.15.0
  * [cca89a8] check_ssl_cert: Add missing suggests
  * [b3528f1] Fix path for madrisan plugins
  * [19aff19] check_rbl: Update to 1.6.3
  * [ccd16ec] Auto update of debian/control

 -- Jan Wagner <waja@cyconet.org>  Fri, 17 Dec 2021 15:47:25 +0100

=== madrisan-nagios-plugins-linux/nagios-plugins-linux/debian/changelog ===
nagios-plugins-linux (28-2) stable; urgency=low
  * Rework packaging framework for Debian
     - Build a Debian multi-package
     - Build the (optional) plugin check_docker

 -- Davide Madrisan <davide.madrisan@gmail.com>  Sun, 11 Jul 2021 12:44:55 +0200

nagios-plugins-linux (28-1) stable; urgency=low
  * Release 28 "Alpine Hike":
     - New plugin check_pressure for checking Linux PSI.
     - Sparse Clang and GCC warning fixes.

 -- Davide Madrisan <davide.madrisan@gmail.com>  Sat, 12 Dec 2020 14:14:00 +0200

nagios-plugins-linux (27-1) stable; urgency=low
  * Release 27 "Polish Landscapes":
     - Enhanced plugin check_network (using rtnetlink).
     - Fixed experimental support to libprocps-ng:newlib.

 -- Davide Madrisan <davide.madrisan@gmail.com>  Sat,  8 Aug 2020 10:45:45 +0200

nagios-plugins-linux (26-1) stable; urgency=low
  * Release 26 "Lockdown release":
     - Fix build with musl by including limits.h when PATH_MAX is used.
     - Fix build when '-fno-common' is added to CFLAGS.
     - Fix travis CI build.
     - New plugin check_podman for checking some runtime metrics of podman
       containers.
     - Add Fedora 32 and CentOS 8 to the supported distributions.

 -- Davide Madrisan <davide.madrisan@gmail.com>  Tue,  5 May 2020 18:33:03 +0200

nagios-plugins-linux (25-1) stable; urgency=low
  * Release 25 "Gentoo release":
     - sysfsparser lib: fix debug messages in
       sysfsparser_thermal_get_temperature().
     - Fix compilation when libcurl headers are not installed.
     - Fix two security issues reported by lgtm analyzer, an issue
       reported by the clang static analyser v8, and some issues reported
        by Codacy.
     - check_memory: add perfdata to mem_available and mem_used.
       Minor code cleanup and fixes.

 -- Davide Madrisan <davide.madrisan@gmail.com>  Thu, 22 Aug 2019 07:10:52 +0200

nagios-plugins-linux (24-1) stable; urgency=low
  * Release 24:
     - check_cpufreq: the frequences returned by sysfs are in KHz.
     - check_uptime: add warn, crit, and min values to perfdata.
     - check_cpufreq: make it possible to output the values in Hz/kHz/mHz/gHz.
     - Remove some unsupported warning options for clang (7.0.0).

 -- Davide Madrisan <davide.madrisan@gmail.com>  Sun, 13 Jan 2019 23:38:01 +0200

nagios-plugins-linux (23-1) stable; urgency=low

  * Release "Korbielow.pl 2018":
     - New plugin 'check_docker'
     - Build the sources with the available compiler's hardening flags.
     - Some new unit tests have been added.
     - Fix some issues reported by Codacy and Coverity.

 -- Davide Madrisan <davide.madrisan@gmail.com>  Sat,  4 Aug 2018 08:56:16 +0200

nagios-plugins-linux (22-1) stable; urgency=low

  * Release "Commit #600":
    - Add the items /proc/vmstat/vm_*dma32 to the vminfo library parser.
    - Fix several warnings reported by Codacy and Codeclimate.

 -- Davide Madrisan <davide.madrisan@gmail.com>  Tue, 20 Sep 2017 22:38:56 +0000

nagios-plugins-linux (21-1) stable; urgency=low

  * Update from upstream stable branch:
    - The command-line option --swapping-only has been added to check_paging.
    - The Docker-based framework for packaging the Nagios Plugins for Linux
      (test-build) now supports also Debian 9 (Stretch) and Fedora 26.
    - The test framework has been reworked and enriched in new modules.
    - Use secure_getenv() (or __secure_getenv()) instead of getenv() to
      improve security.

 -- Davide Madrisan <davide.madrisan@gmail.com>  Tue,  6 Aug 2017 22:18:30 +0000

nagios-plugins-linux (20-1) stable; urgency=low

  * Release "Commit #500":
    - Some insecure data handling issues discovered by Coverity in the new test
      framework have been fixed.
    - A new Docker-based framework for packaging the Nagios Plugins for Linux
      (rpm and deb packages) is now available. Supported Linux distributions:
      CentOS 5/6/7, Debian 6/7/8, Fedora 24/25/rawhide, and RHEL 5/6/7
    - The messages displayed in case of a too large "count" or "delay" error
      have been improved.

 -- Davide Madrisan <davide.madrisan@gmail.com>  Tue, 14 Mar 2017 18:41:42 +0000

nagios-plugins-linux (19-1) stable; urgency=low

  * Initial Debian release:
    - check_multipath: recent versions of multipath no longer open a multipathd
      socket file in the file system, but instead use an abstract namespace
      socket (@/org/kernel/linux/storage/multipathd).
      Thanks to Chris Procter "chr15p" for reporting the issue and creating a
      pull request.
    - check_multipath: use a larger buffer for queries to make this plugin
      working with systems that have lots of mapped disks.
    - A framework for testing the code (make check) has been added and some
      tests are now available.

 -- Davide Madrisan <davide.madrisan@gmail.com>  Sat, 19 Nov 2016 21:44:49 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

PKGNAME = monitoring-plugins-contrib
PLUGINS := $(shell find $(CURDIR) -mindepth 1 -maxdepth 1 -name .git -prune -o -name redhat -prune -o -name .pc -prune -o -name debian -prune -o -type d -printf '%f\n' | sort)

override_dh_auto_build:
	dh_auto_build
	$(PACKAGING_HELPER) --generate-readme

PACKAGING_HELPER = /usr/bin/python3 $(CURDIR)/debian/packaging-helper.py


clean: debian/copyright debian/control debian/tests/control
	dh $@ --with quilt,python3
	rm -f debian/README.Debian.plugins

CONTROL_FILES := $(shell for p in $(PLUGINS); do echo $$p/control; done)
COPYRIGHT_FILES := $(shell for p in $(PLUGINS); do echo $$p/copyright; done)
TESTS_FILES := $(wildcard */tests)
debian/copyright: debian/copyright.in debian/packaging-helper.py $(CONTROL_FILES) $(COPYRIGHT_FILES)
	$(PACKAGING_HELPER) --copyright
	-if [ -d .git ]; then git add $@; git commit -m 'Auto update of $@' $@; fi

debian/control: debian/control.in debian/packaging-helper.py $(CONTROL_FILES)
	$(PACKAGING_HELPER) --control
	-if [ -d .git ]; then git add $@; git commit -m 'Auto update of $@' $@; fi

debian/tests/control: debian/packaging-helper.py $(TESTS_FILES)
	$(PACKAGING_HELPER) --tests
	-if [ -d .git ]; then git add $@; git commit -m 'Auto update of $@' $@; fi


%:
	dh $@ --with quilt,python3


watch:
	@$(PACKAGING_HELPER) --watch

.PHONY: watch

=== debian/tests/control ===
--- 
+++ 
@@ -23,10 +23,11 @@
 Restrictions: needs-root, allow-stderr, isolation-container
 
 Depends: ca-certificates, openssl, curl, file, @
-Test-Command: /usr/lib/nagios/plugins/check_ssl_cert -H launchpad.net --ignore-exp
+Test-Command: /usr/lib/nagios/plugins/check_ssl_cert -H www.debian.org
 
 Depends: libmonitoring-plugin-perl | libnagios-plugin-perl, @
 Test-Command: /usr/lib/nagios/plugins/check_uptime -f
 
 Depends: @
 Test-Command: /usr/lib/nagios/plugins/check_entropy -w 1
+

## nagios-plugins-contrib 37.20211217~bpo11+1

=== debian/changelog ===
nagios-plugins-contrib (37.20211217~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Jan Wagner <waja@cyconet.org>  Mon, 20 Dec 2021 10:30:56 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Provides: nagios-plugins-contrib
 Replaces: nagios-plugins-contrib (<< 26)
 Breaks: nagios-plugins-contrib (<< 26)
-Suggests: backuppc, perl-doc, libsys-virt-perl, cciss-vol-status (>= 1.10), mpt-status, smstools (>= 3~), expect, nagios-plugin-check-multi, moreutils, percona-toolkit, python3, python3-pymongo, python3-boto
+Suggests: backuppc, perl-doc, libsys-virt-perl, cciss-vol-status (>= 1.10), mpt-status, smstools (>= 3~), expect, iproute2, dnsutils, nagios-plugin-check-multi, moreutils, percona-toolkit, python3, python3-pymongo, python3-boto
 Enhances: monitoring-plugins, monitoring-plugins-basic, monitoring-plugins-standard
 Description: Plugins for nagios compatible monitoring systems
  This package provides various plugins for Nagios compatible monitoring
@@ -143,7 +143,7 @@
      - Solaris software RAID via metastat
      - Areca SATA RAID Support via cli64/cli32
      - Detecting SCSI devices or hosts with lsscsi
-   * check_rbl (1.6.2): plugin to check if a server is blacklisted
+   * check_rbl (1.6.3): plugin to check if a server is blacklisted
    * check_redis (0.73): Redis Server check plugin
      This plugin checks Redis NoSQL database status variables,
      measures its response time and if specified allows one to set thresholds
@@ -169,7 +169,7 @@
      HOST-RESOURCES-MIB::hrSystemDate.0 used here returns 8 or 11 byte octets.
      SNMP translation needs to be switched off and to be converted the
      received SNMP data into readable strings.
-   * check_ssl_cert (2.2.0): plugin to check the CA and validity of an
+   * check_ssl_cert (2.15.0): plugin to check the CA and validity of an
      X.509 certificate
    * check_uptime (0.521): check_uptime returns uptime of a system
      in text (readable) format as well as in minutes for performance graphing.

## nagios-plugins-contrib 37.20211217ubuntu1

=== check_memcached/Makefile ===
#/usr/bin/make -f
CLEANFILES = check_memcached check_memcached.c
PKG_CONFIG ?= pkg-config
LIBS += $(shell $(PKG_CONFIG) --libs libmemcached) -lpthread

include ../common.mk


check_memcached: check_memcached.o
	$(CC) $(LDFLAGS) -o $@ $< $(LIBS)

=== check_ssl_cert/check_ssl_cert_2.15.0/Makefile ===
PLUGIN=check_ssl_cert
VERSION=`cat VERSION`
DIST_DIR=$(PLUGIN)-$(VERSION)
DIST_FILES=AUTHORS COPYING ChangeLog INSTALL.md Makefile NEWS README.md VERSION $(PLUGIN) $(PLUGIN).spec COPYRIGHT ${PLUGIN}.1
YEAR=`date +"%Y"`
FORMATTED_FILES=test/unit_tests.sh AUTHORS COPYING ChangeLog INSTALL.md Makefile NEWS README.md VERSION $(PLUGIN) $(PLUGIN).spec COPYRIGHT ${PLUGIN}.1 .github/workflows/* utils/*.sh
SCRIPTS=check_ssl_cert test/*.sh

dist: version_check
	rm -rf $(DIST_DIR) $(DIST_DIR).tar.gz
	mkdir $(DIST_DIR)
	cp -r $(DIST_FILES) $(DIST_DIR)
# avoid to include extended attribute data files
# see https://superuser.com/questions/259703/get-mac-tar-to-stop-putting-filenames-in-tar-archives
	export COPY_EXTENDED_ATTRIBUTES_DISABLE=1; \
	export COPYFILE_DISABLE=1; \
	tar -c -z -f $(DIST_DIR).tar.gz  $(DIST_DIR) && \
	tar -c -j -f $(DIST_DIR).tar.bz2 $(DIST_DIR)

install:
ifndef DESTDIR
	echo "Please define DESTDIR and MANDIR variables with the installation targets"
	echo "e.g, make DESTDIR=/nagios/plugins/dir MANDIR=/nagios/plugins/man/dir install"
else
	mkdir -p $(DESTDIR)
	install -m 755 $(PLUGIN) $(DESTDIR)
	mkdir -p ${MANDIR}/man1
	install -m 644 ${PLUGIN}.1 ${MANDIR}/man1/
endif

version_check:
	grep -q "VERSION\ *=\ *[\'\"]*$(VERSION)" $(PLUGIN)
	grep -q "^%define\ version\ *$(VERSION)" $(PLUGIN).spec
	grep -q -F -- "- $(VERSION)-" $(PLUGIN).spec
	grep -q "\"$(VERSION)\"" $(PLUGIN).1
	grep -q -F "${VERSION}" NEWS
	echo "Version check: OK"

# we check for tabs
# and remove trailing blanks
formatting_check:
	! grep -q '[[:blank:]]$$' $(FORMATTED_FILES)

remove_blanks:
	./utils/format_files.sh $(FORMATTED_FILES)

SHFMT= := $(shell command -v shfmt 2> /dev/null)
format:
ifndef SHFMT
	echo "No shfmt installed"
else
# -p POSIX
# -w write to file
# -s simplify
# -i 4 indent with 4 spaces
	shfmt -p -w -s -i 4 $(SCRIPTS)
endif

clean:
	rm -f *~
	rm -f *.bak
	rm -rf rpmroot

distclean: clean
	rm -rf check_ssl_cert-[0-9]*
	rm -f *.crt
	rm -f *.error

check: test

SHELLCHECK := $(shell command -v shellcheck 2> /dev/null)
SHUNIT := $(shell command -v shunit2 2> /dev/null || if [ -x /usr/share/shunit2/shunit2 ] ; then echo /usr/share/shunit2/shunit2 ; fi )

distcheck: disttest
disttest: dist formatting_check shellcheck
	./utils/check_documentation.sh
	man ./check_ssl_cert.1 > /dev/null

test: disttest
ifndef SHUNIT
	echo "No shUnit2 installed: see README.md"
	exit 1
else
	( export SHUNIT2=$(SHUNIT) && export LC_ALL=C && cd test && ./unit_tests.sh )
endif


shellcheck:
ifndef SHELLCHECK
	echo "No shellcheck installed: skipping check"
else
	if shellcheck --help 2>&1 | grep -q -- '-o\ ' ; then shellcheck -o all $(SCRIPTS) ; else shellcheck $(SCRIPTS) ; fi
endif

rpm: dist
	mkdir -p rpmroot/SOURCES rpmroot/BUILD
	cp $(DIST_DIR).tar.gz rpmroot/SOURCES
	rpmbuild --define "_topdir `pwd`/rpmroot" -ba check_ssl_cert.spec



.PHONY: install clean test rpm distclean check

=== debian/changelog ===
nagios-plugins-contrib (37.20211217ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + check_ssl_cert: use host launchpad.net and ignore expiration date

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 24 Feb 2022 08:54:00 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: nagios-plugins-contrib
 Section: net
 Priority: optional
-Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
 Uploaders: Bernd Zeimetz <bzed@debian.org>, Jan Wagner <waja@cyconet.org>, Stefan Schoerghofer <amd1212@4md.gr>, Petter Reinholdtsen <pere@hungry.com>, Leo Antunes <leo@costela.net>, Peter Palfrader <weasel@debian.org>
 Build-Depends: debhelper (>= 8.0.0),
                dh-autoreconf,
@@ -197,5 +198,3 @@
    * check_zone_rrsig_expiration (1.14): plugin to check for expiration of
      signatures in dnssec-enabled zones.
    * dsa (2300473): plugins from the Debian System Administrators
-     nagios plugins repository.
-     * check_cert_expire: check for certificate expiration

=== madrisan-nagios-plugins-linux/nagios-plugins-linux/debian/rules ===
#!/usr/bin/make -f

NP_LIBEXEC:=/usr/lib/nagios/plugins

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --libexecdir=${NP_LIBEXEC}

=== debian/tests/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Restrictions: needs-root, allow-stderr, isolation-container
 
 Depends: ca-certificates, openssl, curl, file, @
-Test-Command: /usr/lib/nagios/plugins/check_ssl_cert -H www.debian.org
+Test-Command: /usr/lib/nagios/plugins/check_ssl_cert -H launchpad.net --ignore-exp
 
 Depends: libmonitoring-plugin-perl | libnagios-plugin-perl, @
 Test-Command: /usr/lib/nagios/plugins/check_uptime -f
